# Staking Support

Elixir can integrate your current staking platform so holders can benefit from their NFT when they stake. To support staking on your NFT Collection, you'll need to provide the support team with an API that provides the wallets and their staked NFTs following the format:

```javascript
[
   wallet_id1: [nft_id1, nft_id2, nft_id3...],
   wallet_id2: [nft_id1, nft_id2, nft_id3...],
   wallet_id3: [nft_id1, nft_id2, nft_id3...],
   ...
]
```

We wanted to be aligned with the ecosystem, and with this mind we implemented the standard settled by [Matrica](https://docs.matrica.io/guides/community-guide/staking-support), so you don't have to do things twice.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elixir.app/dashboard/import-nfts/staking-support.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
